Stdlib (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.tomcat.jni, class: Stdlib

# Class Stdlib

java.lang.Object
org.apache.tomcat.jni.Stdlib

@Deprecated public class Stdlib extends Object
Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 9.1.x / Tomcat Native 2.x and has been reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
Stdlib.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stdlib()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `calloc(int num, int sz)`
  Deprecated.
  Allocates an array in memory with elements initialized to 0.
  `static void`
  `free(long mem)`
  Deprecated.
  Deallocates or frees a memory block.
  `static int`
  `getpid()`
  Deprecated.
  Get current process pid.
  `static int`
  `getppid()`
  Deprecated.
  Get current process parent pid.
  `static long`
  `malloc(int sz)`
  Deprecated.
  Allocates memory blocks.
  `static boolean`
  `memread(byte[] dst, long src, int sz)`
  Deprecated.
  Read from plain memory
  `static boolean`
  `memset(long dst, int c, int sz)`
  Deprecated.
  Sets buffers to a specified character
  `static boolean`
  `memwrite(long dst, byte[] src, int sz)`
  Deprecated.
  Write to plain memory
  `static long`
  `realloc(long mem, int sz)`
  Deprecated.
  Reallocate memory blocks.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Stdlib

    public Stdlib()
    Deprecated.

- ## Method Details

  - ### memread

    public static boolean memread(byte[] dst, long src, int sz)
    Deprecated.
    Read from plain memory
    Parameters:
      `dst` - Destination byte array
      `src` - Source memory address
      `sz` - Number of bytes to copy.
    Returns:
      `true` if the operation was successful

  - ### memwrite

    public static boolean memwrite(long dst, byte[] src, int sz)
    Deprecated.
    Write to plain memory
    Parameters:
      `dst` - Destination memory address
      `src` - Source byte array
      `sz` - Number of bytes to copy.
    Returns:
      `true` if the operation was successful

  - ### memset

    public static boolean memset(long dst, int c, int sz)
    Deprecated.
    Sets buffers to a specified character
    Parameters:
      `dst` - Destination memory address
      `c` - Character to set.
      `sz` - Number of characters.
    Returns:
      `true` if the operation was successful

  - ### malloc

    public static long malloc(int sz)
    Deprecated.
    Allocates memory blocks.
    Parameters:
      `sz` - Bytes to allocate.
    Returns:
      a pointer

  - ### realloc

    public static long realloc(long mem, int sz)
    Deprecated.
    Reallocate memory blocks.
    Parameters:
      `mem` - Pointer to previously allocated memory block.
      `sz` - New size in bytes.
    Returns:
      a pointer

  - ### calloc

    public static long calloc(int num, int sz)
    Deprecated.
    Allocates an array in memory with elements initialized to 0.
    Parameters:
      `num` - Number of elements.
      `sz` - Length in bytes of each element.
    Returns:
      a pointer

  - ### free

    public static void free(long mem)
    Deprecated.
    Deallocates or frees a memory block.
    Parameters:
      `mem` - Previously allocated memory block to be freed.

  - ### getpid

    public static int getpid()
    Deprecated.
    Get current process pid.
    Returns:
      current pid or < 1 in case of error.

  - ### getppid

    public static int getppid()
    Deprecated.
    Get current process parent pid.
    Returns:
      parent pid or < 1 in case of error.